Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.sql
Class PostgresDictionary.PostgresPreparedStatement

    java.lang.Object
      org.apache.openjpa.lib.jdbc.DelegatingPreparedStatement
          org.apache.openjpa.jdbc.sql.PostgresDictionary.PostgresPreparedStatement

All Implemented Interfaces:
  PreparedStatement, Statement, Wrapper, Closeable

Enclosing class:
  PostgresDictionary

    protected abstract static class PostgresDictionary.PostgresPreparedStatement

extends DelegatingPreparedStatement

Statement wrapper to work around the postgres empty result set bug.

Field Summary

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`PostgresDictionary.PostgresPreparedStatement(PreparedStatement ps, Connection conn, PostgresDictionary dict)`

Method Summary
`protected ResultSet` | `executeQuery(boolean wrap)` Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.
`void` | `setFetchSize(int i)`

Methods inherited from class org.apache.openjpa.lib.jdbc.DelegatingPreparedStatement
`addBatch, addBatch, appendInfo, cancel, clearBatch, clearParameters, clearWarnings, close, closeOnCompletion, equals, execute, execute, execute, execute, execute, executeBatch, executeQuery, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getDelegate, getFetchDirection, getFetchSize, getGeneratedKeys, getInnermostDelegate, getMaxFieldSize, getMaxRows, getMetaData, getMoreResults, getMoreResults, getParameterMetaData, getQueryTimeout, getResultSet, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, hashCode, initialize, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setCursorName, setDate, setDate, setDouble, setEscapeProcessing, setFetchDirection, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setPoolable, setQueryTimeout, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL, toString, unwrap, wrapResult`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PostgresDictionary.PostgresPreparedStatement

    public PostgresDictionary.PostgresPreparedStatement(PreparedStatement ps,
                                                        Connection conn,
                                                        PostgresDictionary dict)

Method Detail

### executeQuery

    protected ResultSet executeQuery(boolean wrap)
                              throws SQLException

  Description copied from class: `DelegatingPreparedStatement`
  Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.

  Overrides:
    `executeQuery` in class `DelegatingPreparedStatement`
  Throws:
    `SQLException`

### setFetchSize

    public void setFetchSize(int i)
                      throws SQLException

  Specified by:
    `setFetchSize` in interface `Statement`
  Overrides:
    `setFetchSize` in class `DelegatingPreparedStatement`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.